<template>
  <div class="status">
    <div style="display:flex;flex-flow: row; "><div v-if="status===true"> Bienvenue {{ user }} </div>
    <button id="signOut" v-if="status===true" @click="signOut"> Déconnexion</button></div>
  </div>
  <img class="logoVue animLogo" alt="Vue logo" src="../assets/logo.png">

</template>

<script>
export default {
  name : 'Status',
  data(){
    return {
      status : this.$store.state.isAuthenticated,
      user : this.$store.state.user
    }
  },
    methods:{
      signOut(){
        this.$store.commit('signOut')

      },
  }


}
</script>

<style scoped>
.logoVue{
  transition : .5s;
  position: absolute;
  width: 50px;
  height: 50px;
  top : 5px;
  right : 5px;
  animation-name: animLogo;
  animation-duration: .5s;
  animation-fill-mode: forwards;
}
#signOut{
  font-size: 8px;
  margin-left :10px
}
.status{
  position : absolute;
  left: 10px;
  top : 15px ;
  font-size: 15px;
}

@keyframes animLogo {
  0%{ transform : rotate(0deg)}
  100%{ transform: rotate(360deg)}

}
</style>